# Summary

* [An Introduction to Modern CMake](README.md)
    * [Installing CMake](chapters/intro/installing.md)
    * [Running CMake](chapters/intro/running.md)
    * [What's new in CMake](chapters/intro/newcmake.md)
* [Introduction to the Basics](chapters/basics.md)
    * [Variables and the Cache](chapters/basics/variables.md)
    * [How to Structure Your Project](chapters/basics/structure.md)
    * [Running Other Programs (X)](chapters/basics/programs.md)
* [Adding Features](chapters/features.md)
    * [C++11 and Beyond](chapters/features/cpp11.md)
    * [Small but common needs](chapters/features/small.md)
    * [Tidy and Format (X)](chapters/features/tidy.md)
    * [IDEs (X)](chapters/features/IDEs.md)
    * [Debugging (X)](chapters/features/debug.md)
* [Including Projects](chapters/projects.md)
    * [Submodule](chapters/projects/submodule.md) 
    * [DownloadProject](chapters/projects/download.md) 
    * [Fetch (3.11)](chapters/projects/fetch.md) 
* [Testing](chapters/testing.md)
    * [GoogleTest](chapters/testing/googletest.md)
    * [Catch](chapters/testing/catch.md)
* [Exporting and Installing](chapters/exporting.md)
* [Looking for libraries](chapters/packages.md)
    * [CUDA](chapters/packages/CUDA.md)
    * [OpenMP](chapters/packages/OpenMP.md)
    * [Boost (X)](chapters/packages/Boost.md)
    * [MPI](chapters/packages/MPI.md)
    * [ROOT](chapters/packages/ROOT.md)
        * [Simple Example](examples/root-simple/README.md)
        * [Simple Example CMake 3.11+](examples/root-simple-3.11/README.md)
        * [Dictionary Example](examples/root-dict/README.md)

